Bug 1342488

Summary: cantor: cantor requires both Python 2 and Python 3
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: cantorAssignee: Miro Hrončok <mhroncok>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dkrejci, jreznik, mhroncok, pviktori, rdieter, rnovacek, than
Target Milestone: ---Keywords: FutureFeature, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: cantor-18.12.1-2.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-16 07:58:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816, 1340802    

Description Tomas Orsava 2016-06-03 11:39:52 UTC
The cantor RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Rex Dieter 2016-06-03 12:04:06 UTC
marking FutureFeature

Comment 2 Dominika Krejčí 2016-09-05 13:55:08 UTC
Hi Ngo,
how is it going? Do you need some help?

Comment 3 Than Ngo 2016-09-05 14:20:38 UTC
thanks for remind, i'm working on this.

Comment 4 Than Ngo 2016-09-06 13:42:01 UTC
it's fixed in cantor-16.08.0-3

Comment 5 Petr Viktorin 2018-12-17 08:22:01 UTC
cantor-18.12.0-1.fc30 has this problem again.